Package com.meterware.httpunit

# Class WebResponse.Scriptable

java.lang.Object
com.meterware.httpunit.scripting.ScriptableDelegate
com.meterware.httpunit.WebResponse.Scriptable

All Implemented Interfaces:
  `NamedDelegate`, `ScriptingEventHandler`, `ScriptingHandler`

Enclosing class:
  `WebResponse`

public class WebResponse.Scriptable extends ScriptableDelegate implements NamedDelegate

## Field Summary

### Fields inherited from class com.meterware.httpunit.scripting.ScriptableDelegate

`NULL_SCRIPT_ENGINE`

## Constructor Summary

Constructors
Constructor
Description
`Scriptable()`

## Method Summary

Modifier and Type
Method
Description
`void`
`alertUser(String message)`
`void`
`closeWindow()`
`Object`
`get(String propertyName)`
Returns the value of the named property.
`ClientProperties`
`getClientProperties()`
`boolean`
`getConfirmationResponse(String message)`
`HTMLPage.Scriptable`
`getDocument()`
`WebResponse.Scriptable[]`
`getFrames()`
`String`
`getName()`
`URL`
`getURL()`
`String`
`getUserResponse(String prompt, String defaultResponse)`
`void`
`load()`
`WebResponse.Scriptable`
`open(String urlString, String name, String features, boolean replace)`
`void`
`set(String propertyName, Object value)`
Sets the value of the named property.
`void`
`setLocation(String relativeURL)`

### Methods inherited from class com.meterware.httpunit.scripting.ScriptableDelegate

`clearCaches, doEvent, doEventScript, evaluateExpression, get, getDelegates, getScriptEngine, getScriptEngine, handleEvent, runScript, setScriptEngine, supportsScriptLanguage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Scriptable

public Scriptable()

## Method Details

### alertUser

public void alertUser(String message)

### getConfirmationResponse

public boolean getConfirmationResponse(String message)

### getUserResponse

public String getUserResponse(String prompt, String defaultResponse)

### getClientProperties

public ClientProperties getClientProperties()

### getDocument

public HTMLPage.Scriptable getDocument()

### getFrames

public WebResponse.Scriptable[] getFrames() throws SAXException

Throws:
  `SAXException`

### load

public void load() throws SAXException

Throws:
  `SAXException`

### open

public WebResponse.Scriptable open(String urlString, String name, String features, boolean replace) throws IOException, SAXException

Throws:
  `IOException`
  `SAXException`

### closeWindow

public void closeWindow()

### get

public Object get(String propertyName)
Returns the value of the named property. Will return null if the property does not exist.

Overrides:
  `get` in class `ScriptableDelegate`

### getName

public String getName()

Specified by:
  `getName` in interface `NamedDelegate`

### set

public void set(String propertyName, Object value)
Sets the value of the named property. Will throw a runtime exception if the property does not exist or cannot accept the specified value.

Overrides:
  `set` in class `ScriptableDelegate`

### setLocation

public void setLocation(String relativeURL) throws IOException, SAXException

Throws:
  `IOException`
  `SAXException`

### getURL

public URL getURL()